﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Reflection;
using System.Diagnostics;
using OpenSourceControls;

namespace AutoUpdateDemo
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        const string updateUrl = @"http://www.objo.net/CodePlex/AutoUpdateLatest.xml";
        const string statusUrl = @"http://www.objo.net/CodePlex/AutoUpdateStatus.xml";
         
        public Window1()
        {
            InitializeComponent();
            Version.Text = "Ver. "+Assembly.GetExecutingAssembly().GetName().Version.ToString();
            if (Properties.Settings.Default.LastStatusCheck.Year < 2009)
                Properties.Settings.Default.LastStatusCheck = new DateTime(2009, 1, 1);
            CheckForUpdate();
            Closing += new System.ComponentModel.CancelEventHandler(Window1_Closing);
        }

        void Window1_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            Properties.Settings.Default.Save();
        }

        void CheckForUpdate()
        {
            StatusDialog.ShowIfUpdated(Properties.Settings.Default, statusUrl);
            AutoUpdateDialog.ShowIfUpdateAvailable(Properties.Settings.Default, updateUrl);
        }

        private void ShowStatusList_Click(object sender, RoutedEventArgs e)
        {
            StatusDialog.Show(Properties.Settings.Default, statusUrl);
        }

        private void CheckForUpdate_Click(object sender, RoutedEventArgs e)
        {
            AutoUpdateDialog.Show(Properties.Settings.Default, updateUrl);
        }

        private void Exit_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
    }
}
